Radio

React Bootstrap 5 Radio component

A Radio Button is a component used to allow a user to make a single choice among a number of options (whereas Checkboxes are used for selecting multiple options).


Basic example

Browser default checkboxes and radios are replaced with the help of .form-check, a series of classes for both input types that improves the layout and behavior of their HTML elements, that provide greater customization and cross browser consistency. Checkboxes are for selecting one or several options in a list, while radios are for selecting one option from many.

Structurally, our <input>s and <label>s are sibling elements as opposed to an <input> within a <label>. This is slightly more verbose as you must specify id and for attributes to relate the <input> and <label>.

We use the sibling selector (~) for all our <input> states, like :checked or :disabled. When combined with the .form-check-label class, we can easily style the text for each item based on the <input>'s state.

        
            
            import React from 'react';
            import { MDBRadio } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <div>
                  <MDBRadio name='flexRadioDefault' id='flexRadioDefault1' label='Default radio' />
                  <MDBRadio name='flexRadioDefault' id='flexRadioDefault2' label='Default checked radio' defaultChecked />
                </div>
              );
            }
          
        
    

Disabled

Add the disabled property and the associated <label>s are automatically styled to match with a lighter color to help indicate the input’s state.

        
            
            import React from 'react';
            import { MDBRadio } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <div>
                  <MDBRadio id='flexRadioDisabled' disabled label='Disabled radio' />
                  <MDBRadio id='flexRadioCheckedDisabled' defaultChecked disabled label='Disabled checked radio' />
                </div>
              );
            }
          
        
    

Inline

Group checkboxes or radios on the same horizontal row by adding inline property.

        
            
            import React from 'react';
            import { MDBRadio } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <>
                  <MDBRadio name='inlineRadio' id='inlineRadio1' value='option1' label='1' inline />
                  <MDBRadio name='inlineRadio' id='inlineRadio2' value='option2' label='2' inline />
                  <MDBRadio name='inlineRadio' id='inlineRadio3' value='option3' label='3 (disabled)' disabled inline />
                </>
              );
            }
          
        
    

Without labels

Omit the label property for checkboxes and radios that have no label text. Remember to still provide some form of label for assistive technologies (for instance, using aria-label).

        
            
            import React from 'react';
            import { MDBRadio } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <div>
                  <MDBRadio name='radioNoLabel' id='radioNoLabell' value='' aria-label='...' />
                  <MDBRadio name='radioNoLabel' id='radioNoLabel2' value='' aria-label='...' />
                </div>
              );
            }
          
        
    

Toggle buttons

MDB’s .btn styles can be applied to <label>s, to provide checkbox style button toggling. Add an MDBRadio with a btn property to toggle the input state. You can change the color using btnColor property.

        
            
            import React from 'react';
            import { MDBRadio, MDBBtnGroup } from 'mdb-react-ui-kit';
    
            export default function App() {
              return (
                <MDBBtnGroup>
                  <MDBRadio btn btnColor='secondary' id='btn-radio' name='options' wrapperTag='span' label='Radio button' />
                  <MDBRadio
                    btn
                    btnColor='secondary'
                    id='btn-radio2'
                    name='options'
                    wrapperClass='mx-2'
                    wrapperTag='span'
                    label='Radio button'
                    defaultChecked
                  />
                  <MDBRadio btn btnColor='secondary' id='btn-radio3' name='options' wrapperTag='span' label='Radio button' />
                </MDBBtnGroup>
              );
            }
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Radio - API


Import

        
            
            import { MDBRadio } from 'mdb-react-ui-kit';
          
        
    

Properties

MDBRadio

Name Type Default Description Example
btn boolean '' Makes a button from the MDBRadio <MDBRadio btn label="Example label" id="radioExample" />
btnColor string '' Allows to set the color of the button radio <MDBRadio btn btnColor="secondary" label="Example label" id="radioExample" />
checked boolean '' Defines whether the radio is checked <MDBRadio defaultChecked label="Example label" id="radioExample" />
defaultChecked boolean '' Makes the MDBRadio checked by default <MDBRadio defaultChecked label="Example label" id="radioExample" />
disabled string '' Makes the MDBRadio disabled <MDBRadio disabled label="Example label" id="radioExample" />
disableWrapper boolean false Disables input wrapper <MDBRadio disableWrapper />
id string '' Defines an id for the MDBRadio <MDBRadio label="Example label" id="inputExample" />
inline boolean '' Places the MDBRadio in one row <MDBRadio inline label="Example label" id="radioExample" />
inputRef React.RefObject undefined Reference to input element <MDBRadio inputRef={inputReference} />
label React.ReactNode '' Defines a label content for the MDBRadio <MDBRadio label="Example label" id="inputExample" />
labelId string '' Defines an id for the label <MDBRadio label="Example label" labelId="exampleLabel" id="radioExample" />
labelClass string '' Adds custom classes to the label <MDBRadio label="Example label" labelId="exampleLabel" labelClass="test-class" id="radioExample" />
labelStyle React.CSSProperties undefined Adds custom styles to the label <MDBRadio label="Example label" labelStyle={{color: 'red'}} />
name string '' Specifies the name for the MDBRadio <MDBRadio name="sampleName" label="Example label" id="inputExample" />
value string '' Sets the value for the MDBRadio <MDBRadio value="Example value" label="Example label" id="inputExample" />
wrapperTag string '' Defines a tag type for the wrapper of the MDBRadio <MDBRadio label="Example label" wrapperTag="span" id="exampleID" />
wrapperClass string '' Adds custom classes to the wrapper of the MDBRadio <MDBRadio wrapperClass="custom-class" label="Example label" id="radioExample" />
wrapperStyle React.CSSProperties undefined Adds custom styles to the wrapper <MDBRadio label="Example label" wrapperStyle={{color: 'red'}} />

Radio

Vue Bootstrap 5 Radio

Vue Radio Button is a component used to allow a user to make a single choice among a number of options (whereas Checkboxes are used for selecting multiple options).


        
            
            <template>
              <MDBRadio
                label="Default radio"
                name="flexRadioDefault"
                v-model="radio1"
                value="flexRadioDefault1"
              />
              <MDBRadio
                label="Default checked radio"
                name="flexRadioDefault"
                v-model="radio1"
                value="flexRadioDefault2"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBRadio } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBRadio,
                },
                setup() {
                  const radio1 = ref('flexRadioDefault2');

                  return {
                    radio1,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRadio } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const radio1 = ref('flexRadioDefault2');
            </script>
          
        
    

Disabled

Add the disabled attribute and the associated <label>s are automatically styled to match with a lighter color to help indicate the input’s state.

        
            
            <template>
              <MDBRadio label="Disabled radio" name="flexRadioDisabled" disabled />
              <MDBRadio label="Disabled checked radio" name="flexRadioDisabled" disabled checked />
            </template>
          
        
    
        
            
            <script>
              import { MDBRadio } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBRadio,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRadio } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Inline

Group checkboxes or radios on the same horizontal row by adding inline property to any MDBRadio.

        
            
            <template>
              <MDBRadio label="1" value="option1" v-model="radio2" inline name="inlineRadioOptions" />
              <MDBRadio label="2" value="option2" v-model="radio2" inline name="inlineRadioOptions" />
              <MDBRadio
                label="(disabled)"
                value="option3"
                v-model="radio2"
                inline
                name="inlineRadioOptions"
                disabled
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBRadio } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBRadio,
                },
                setup() {
                  const radio2 = ref('radio2');

                  return {
                    radio2,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRadio } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              
              const radio2 = ref('radio2');
            </script>
          
        
    

Without labels

Omit the wrapping .form-check for checkboxes and radios that have no label text by adding :formCheck="false". Remember to still provide some form of label for assistive technologies (for instance, using aria-label).

        
            
            <template>
              <MDBRadio aria-label="..." name="radioNoLabel" :formCheck="false" value="" />
              <MDBRadio aria-label="..." name="radioNoLabel" :formCheck="false" value="" />
            </template>
          
        
    
        
            
            <script>
              import { MDBRadio } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBRadio,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRadio } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Toggle buttons

Toggle buttons can be grouped in a button group if needed.

        
            
            <template>
              <MDBBtnGroup>
                <MDBRadio :btnCheck="true" :wrap="false" labelClass="btn btn-secondary" label="Checked" name="options" value="option1"
                  v-model="radio3" />
                <MDBRadio :btnCheck="true" :wrap="false" labelClass="btn btn-secondary" label="Radio" name="options" value="option2"
                  v-model="radio3" />
                <MDBRadio :btnCheck="true" :wrap="false" labelClass="btn btn-secondary" label="Radio" name="options" value="option3"
                  v-model="radio3" />
              </MDBBtnGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBRadio, MDBBtnGroup } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRadio,
                  MDBBtnGroup
                },
                setup() {
                  const radio3 = ref("option1");

                  return {
                    radio3
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRadio, MDBBtnGroup } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const radio3 = ref("option1");
            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Radio - API


Import

        
            
          <script>
            import {
              MDBRadio
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Property Type Default Description
label String "" Changes input label
wrapperClass String "" Changes input wrapper classes
labelClass String "" Changes input label classes
inline Boolean false Enables inline mode
btnCheck Boolean false Enables btn mode
wrap Boolean true Enables div.form-check wrapper
formCheck Boolean true Enables wrapper .formCheck class
tag String "div" Changes input wrapper tag
value String "" Sets radio value
v-model String "" Changes input value with two-way data binding
required Boolean "" Adds required attribute to input element
validateOnChange Boolean Add validation on change event to element
isValidated Boolean false Marks element as validated.
isValid Boolean "" Sets element as valid or invalid
validFeedback String "" Sets valid status feedback for validated element
invalidFeedback String "" Sets invalid status feedback for validated element
tooltipFeedback Boolean false Display validation feedback in a styled tooltip